package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @date 2017/7/10 12:14
 * @tel 18271840547
 * @website www.iamberry.com
 */
public class ChannelAccess implements Serializable {
    private static final long serialVersionUID = 3772428213555505520L;

    private Integer accessId;

    private String userOpenid;

    private String accessBrowser;

    private String accessDeviceType;

    private String accessDeviceModel;

    private Integer accessIsMobile;

    private Integer channelId;

    private Date accessCreateTime;

    public String getAccessBrowser() {
        return accessBrowser;
    }

    public void setAccessBrowser(String accessBrowser) {
        this.accessBrowser = accessBrowser;
    }

    public Integer getAccessId() {
        return accessId;
    }

    public void setAccessId(Integer accessId) {
        this.accessId = accessId;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid;
    }

    public String getAccessDeviceType() {
        return accessDeviceType;
    }

    public void setAccessDeviceType(String accessDeviceType) {
        this.accessDeviceType = accessDeviceType;
    }

    public String getAccessDeviceModel() {
        return accessDeviceModel;
    }

    public void setAccessDeviceModel(String accessDeviceModel) {
        this.accessDeviceModel = accessDeviceModel;
    }

    public Integer getAccessIsMobile() {
        return accessIsMobile;
    }

    public void setAccessIsMobile(Integer accessIsMobile) {
        this.accessIsMobile = accessIsMobile;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public Date getAccessCreateTime() {
        return accessCreateTime;
    }

    public void setAccessCreateTime(Date accessCreateTime) {
        this.accessCreateTime = accessCreateTime;
    }
}
